# BaseConditionV1
`toloka.client.project.template_builder.conditions.BaseConditionV1` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/client/project/template_builder/conditions.py#L33)

```python
BaseConditionV1(
    self,
    *,
    hint: Optional[Any] = None,
    version: Optional[str] = '1.0.0'
)
```

Check an expression against a condition.


For example, you can check that a text field is filled in.

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`hint`|**Optional\[Any\]**|<p>Validation error message that the user will see.</p>
